/** @file
* Copyright (c) 2005-2006 Nokia Corporation and/or its subsidiary(-ies). 
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies  this distribution, and is available 
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  File contains all global literals used in this module 
*
*/



#ifndef UPNPAVCPSTRING_H_
#define UPNPAVCPSTRING_H_

namespace UpnpAVCPStrings
    {
    _LIT8( KContentDirectory, "ContentDirectory:*");
    _LIT8( KConnectionManager, "ConnectionManager:*");
    _LIT8( KAVTransport, "AVTransport:*");
    _LIT8( KRenderingControl, "RenderingControl:*");
    _LIT8( KSetVolume, "SetVolume");
    _LIT8( KInstanceID, "InstanceID");
    _LIT8( KChannel, "Channel");
    _LIT8( KDesiredVolume, "DesiredVolume");
    _LIT8( KCurrentVolume, "CurrentVolume");
    _LIT8( KDesiredMute, "DesiredMute");
    _LIT8( KCurrentMute, "CurrentMute");
    _LIT8( KGetVolume, "GetVolume");
    _LIT8( KGetMute, "GetMute");
    _LIT8( KSetMute, "SetMute");
    _LIT8( KSetAVTransportURI, "SetAVTransportURI");
    _LIT8( KSetNextAVTransportURI, "SetNextAVTransportURI");
    _LIT8( KGetMediaInfo, "GetMediaInfo");
    _LIT8( KGetTransportInfo, "GetTransportInfo");
    _LIT8( KGetPositionInfo, "GetPositionInfo");
    _LIT8( KGetDeviceCapabilities, "GetDeviceCapabilities");
    _LIT8( KGetTransportSettings, "GetTransportSettings");
    _LIT8( KStop, "Stop");
    _LIT8( KPlay, "Play");
    _LIT8( KPause, "Pause");
    _LIT8( KRecord, "Record");
    _LIT8( KSeek, "Seek");
    _LIT8( KNext, "Next");
    _LIT8( KPrevious, "Previous");
    _LIT8( KSetPlayMode, "SetPlayMode");
    _LIT8( KSetRecordQualityMode, "SetRecordQualityMode");
    _LIT8( KGetCurrentTransportActions, "GetCurrentTransportActions");
    _LIT8( KCurrentURI, "CurrentURI");
    _LIT8( KCurrentURIMetaData, "CurrentURIMetaData");
    _LIT8( KNextURI, "NextURI");
    _LIT8( KNextURIMetaData, "NextURIMetaData");
    _LIT8( KSpeed, "Speed");
    _LIT8( KUnit, "Unit");
    _LIT8( KTarget, "Target");
    _LIT8( KNewPlayMode, "NewPlayMode");
    _LIT8( KNewRecordQualityMode, "NewRecordQualityMode");
    _LIT8( KMediaDuration, "MediaDuration");
    _LIT8( KNrTracks, "NrTracks");
    _LIT8( KPlayMedium, "PlayMedium");
    _LIT8( KPlayMedia, "PlayMedia");
    _LIT8( KRecordMedium, "RecordMedium");
    _LIT8( KWriteStatus, "WriteStatus");
    _LIT8( KCurrentTransportStatus, "CurrentTransportStatus");
    _LIT8( KCurrentTransportState, "CurrentTransportState");
    _LIT8( KCurrentSpeed, "CurrentSpeed");
    _LIT8( KTrack, "Track");
    _LIT8( KTrackDuration, "TrackDuration");
    _LIT8( KTrackMetaData, "TrackMetaData");
    _LIT8( KTrackURI, "TrackURI");
    _LIT8( KRelTime, "RelTime");
    _LIT8( KAbsTime, "AbsTime");
    _LIT8( KAbsCount, "AbsCount");
    _LIT8( KRecMedia, "RecMedia");
    _LIT8( KRelCount, "RelCount");
    _LIT8( KPlayMode, "PlayMode");
    _LIT8( KActions, "Actions");
    _LIT8( KRecQualityMode, "RecQualityMode");
    _LIT8( KSearchCaps, "SearchCaps");
    _LIT8( KSortCaps, "SortCaps");
    _LIT8( KId, "Id");
    _LIT8( KGetSearchCapabilities, "GetSearchCapabilities");
    _LIT8( KGetSortCapabilities, "GetSortCapabilities");
    _LIT8( KGetSystemUpdateID, "GetSystemUpdateID");
    _LIT8( KCreateObject, "CreateObject");
    _LIT8( KImportResource, "ImportResource");
    _LIT8( KExportResource, "ExportResource");
    _LIT8( KCreateReference, "CreateReference");
    _LIT8( KBrowse, "Browse");
    _LIT8( KDestinationURI, "DestinationURI");
    _LIT8( KSourceURI, "SourceURI");
    _LIT8( KTransferID, "TransferID");
    _LIT8( KResourceURI, "ResourceURI");
    _LIT8( KNumberReturned, "NumberReturned");
    _LIT8( KTotalMatches, "TotalMatches");
    _LIT8( KUpdateID, "UpdateID");
    _LIT8( KBrowseFlag, "BrowseFlag");
    _LIT8( KFilter, "Filter");
    _LIT8( KStartingIndex, "StartingIndex");
    _LIT8( KRequestedCount, "RequestedCount");
    _LIT8( KSortCriteria, "SortCriteria");
    _LIT8( KContainerID, "ContainerID");
    _LIT8( KObjectID, "ObjectID");
    _LIT8( KResult, "Result");
    _LIT8( KTransferStatus, "TransferStatus");
    _LIT8( KTransferLength, "TransferLength");
    _LIT8( KTransferTotal, "TransferTotal");
    _LIT8( KNewID, "NewID");
    _LIT8( KSearch, "Search");
    _LIT8( KDestroyObject, "DestroyObject");
    _LIT8( KDeleteResource, "DeleteResource");
    _LIT8( KStopTransferResource, "StopTransferResource");
    _LIT8( KGetTransferProgress, "GetTransferProgress");
    _LIT8( KUpdateObject, "UpdateObject");
    _LIT8( KSearchCriteria, "SearchCriteria");
    _LIT8( KCurrentTagValue, "CurrentTagValue");
    _LIT8( KNewTagValue, "NewTagValue");
    _LIT8( KPrepareForConnection, "PrepareForConnection");
    _LIT8( KRemoteProtocolInfo, "RemoteProtocolInfo");
    _LIT8( KPeerConnectionManager, "PeerConnectionManager");
    _LIT8( KPeerConnectionId, "PeerConnectionID");
    _LIT8( KDirection, "Direction");
    _LIT8( KConnectionId, "ConnectionID");
    _LIT8( KGetCurrentConnectionIDs, "GetCurrentConnectionIDs");
    _LIT8( KConnectionComplete, "ConnectionComplete");
    _LIT8( KGetCurrentConnectionInfo, "GetCurrentConnectionInfo");
    _LIT8( KAVTransportId, "AVTransportID");
    _LIT8( KConnectionIds, "ConnectionIDs");
    _LIT8( KProtocolInfo, "ProtocolInfo");
    _LIT8( KStatus, "Status");
    _LIT8( KGetProtocolInfo, "GetProtocolInfo");
    _LIT8( KSource, "Source");
    _LIT8( KSink, "Sink");
    _LIT8( KRcsID, "RcsID");
    _LIT8( KElements, "Elements");
    _LIT8( KPeerConnectionID, "PeerConnectionID");
    _LIT8( KConnectionID, "ConnectionID");
    _LIT8( KSystemUpdateID, "SystemUpdateID");
    _LIT8( KContainerUpdateIDs, "ContainerUpdateIDs");
    _LIT8( KSourceProtocolInfo, "SourceProtocolInfo");
    _LIT8( KSinkProtocolInfo, "SinkProtocolInfo");
    _LIT8( KCurrentConnectionIds, "CurrentConnectionIDs");
    _LIT8( KLastChange, "LastChange");
    _LIT8( KTransferIds, "TransferIDs");
    }

#endif      //UPNPAVCPSTRING_H_
